Subject: Re: Please discuss: what "git push" should do when you do not say what to push?

From: Jakub Narebski <[email-masked]>
Date: Tue, 20 Mar 2012 09:43:26 -0700 (PDT)

Martin Langhoff <[email-masked]> writes:
> On Sat, Mar 17, 2012 at 1:22 AM, Junio C Hamano <[email-masked]> wrote:

> > If the conclusion of the discussion is that we will change the default,
> > the transition to the new default will go like this:
> 
> I am in general agreement with the course of action outlined. There is
> one little thing I had expected in addition, that is not discussed:
> 
>  --force should change behaviour, immediately, to "current" or even
> none (forcing the user to name the remote and branch explicitly).
> 
> The potential for messups with --force combined with "matching" and a
> repo that allows it is considerable. And I cannot imagine any
> mainstream use cases for --force defaulting to matching; at least none
> important enough to counterbalance the damage.

Well, one can always use

  git push <remote> +:

instead of

  git push --force

for "matching" push... but I think you would have to provide name of
repository.

-- 
Jakub Narebski